ipa_context Struct Reference

IPA module context of execution. More...

Inheritance diagram for ipa_context:

## Public Attributes

const struct ipa_context_ops * | ops
| The IPA context operations.

## Detailed Description

IPA module context of execution.

This structure models a context of execution for an IPA module. It is instantiated by the IPA module ipaCreate() function. IPA modules allocate context instances in an implementation-defined way, contexts shall thus be destroyed using the ipa_operation::destroy function only.

The ipa_context structure provides a pointer to the IPA context operations. It shall otherwise be treated as a constant black-box cookie and passed unmodified to the functions defined in struct ipa_context_ops.

IPA modules are expected to extend struct ipa_context by inheriting from it, either through structure embedding to model inheritance in plain C, or through C++ class inheritance. A simple example of the latter is available in the IPAContextWrapper class implementation.

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_interface.h
- src/libcamera/ipa_interface.cpp